<?php
/**
 * Theme Functions
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

/*****************************************************/
if ( class_exists( 'WooCommerce' ) ) {
require_once( get_template_directory() . '/inc/woocommerce-recently-viewed.php' );
require_once( get_template_directory() . '/inc/woocommerce-latest-products.php' );
require_once( get_template_directory() . '/inc/woocommerce-featured-products.php' );
}
require_once( get_template_directory() . '/inc/extras.php' );



 // Load text domain.
function agrilite_text_domain() {
	load_theme_textdomain( 'agri-lite', get_template_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'agrilite_text_domain' );

// Load Core
require_once( get_template_directory() . '/cyberchimps/init.php' );

if ( get_transient('cc_validate_user_details') === false)
{
	$cc_user_login_id = get_option("cc_account_user_details");

	if ( $cc_user_login_id != '' ) { 
		$username = $cc_user_login_id['username'];	$password = $cc_user_login_id['password'];

		require_once( get_template_directory() . '/cyberchimps/class-cc-updater.php');
		if(isset($username) && isset($password) ) {
			$ccuser = new CC_Updater($username, $password );
			$ccuser->validate();
			set_transient('cc_validate_user_details' , 'validate_user' , WEEK_IN_SECONDS);
		}
	}
}
// Notify user of theme update on "Updates" page in Dashboard.
$cc_user_account_status = get_option("cc_account_status");
if (isset ( $cc_user_account_status ) && $cc_user_account_status == 'found' ) {
require_once('inc/wp-updates-theme.php');
new WPUpdatesThemeUpdater_1729( 'http://wp-updates.com/api/2/theme', basename( get_template_directory() ) );
}

// enabling theme support for title tag
function agrilite_title_setup()
{
	add_theme_support( 'title-tag' );
}
add_action( 'after_setup_theme', 'agrilite_title_setup' );

// Set the content width based on the theme's design and stylesheet.
if ( ! isset( $content_width ) )
	$content_width = 900; /* pixels */

// core options customization Names and URL's
//Pro or Free
function agrilite_theme_check() {
	$level = 'free';
	return $level;
}
//Theme Name
function agrilite_options_theme_name(){
	$text = 'Agri Lite';
	return $text;
}
//Doc's URL
function agrilite_options_documentation_url() {
	$url = 'http://cyberchimps.com/guides/c-pro/';
	return $url;
}
// Support Forum URL
function agrilite_options_support_forum() {
	$url = 'http://cyberchimps.com/forum/pro/cyberchimps/';
	return $url;
}
// Slider Options Help URL
function agrilite_options_slider_options_help() {
	$url = 'http://cyberchimps.com/guide/how-to-use-the-pro-slider/';
	return $url;
}
add_filter( 'cyberchimps_current_theme_name', 'agrilite_options_theme_name', 1 );
add_filter( 'cyberchimps_documentation', 'agrilite_options_documentation_url' );
add_filter( 'cyberchimps_support_forum', 'agrilite_options_support_forum' );
add_filter( 'cyberchimps_slider_options_help', 'agrilite_options_slider_options_help' );

// Help Section
function agrilite_options_help_header() {
	$text = 'Agri Lite';
	return $text;
}
function agrilite_options_help_sub_header(){
	$text = __( 'Agri Lite Responsive WordPress Starter Theme', 'agri-lite' );
	return $text;
}

add_filter( 'cyberchimps_help_heading', 'agrilite_options_help_header' );
add_filter( 'cyberchimps_help_sub_heading', 'agrilite_options_help_sub_header' );

// Branding images and defaults

// Banner default
function cyberchimps_banner_default() {
	$url = '/inc/images/branding/banner.jpg';
	return $url;
}
add_filter( 'cyberchimps_banner_img', 'agrilite_banner_default' );

// theme specific typography options
    function agrilite_typography_sizes( $sizes ) {
        $sizes = array( '8', '9', '10', '12', '14', '15', '16', '20' );

        return $sizes;
    }
    
function agrilite_typography_faces( $orig ) {

		$new = array(
			'"Source Sans Pro", Arial, sans-serif' => 'Source Sans Pro'
		);

		$new = array_merge( $new, $orig );

		return $new;
	}

	function agrilite_typography_defaults() {
		$default = array(
			'size' => '15px',
			'face' => '"Source Sans Pro", Arial, sans-serif',
			'style' => 'normal',
			'color' => ''
		);

		return $default;
	}
function agrilite_typography_heading_defaults() {
    $default = array(
        'size'  => '',
        'face'  => 'Google Fonts',
        'style' => '',
        'color' => '',

    );

    return $default;
}

function agrilite_typography_google_font_defaults() {    
    return 'Raleway';
}

add_filter( 'cyberchimps_typography_heading_defaults', 'agrilite_typography_heading_defaults' );
add_filter( 'cyberchimps_typography_heading_google_default', 'agrilite_typography_google_font_defaults','111' );

    add_filter( 'cyberchimps_typography_sizes', 'agrilite_typography_sizes' );
   
	add_filter( 'cyberchimps_typography_faces', 'agrilite_typography_faces' );
	add_filter( 'cyberchimps_typography_defaults', 'agrilite_typography_defaults' );
  

if ( ! function_exists( 'cyberchimps_comment' ) ) :
// Template for comments and pingbacks.
// Used as a callback by wp_list_comments() for displaying the comments.
function cyberchimps_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'agri-lite' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'agri-lite' ), ' ' ); ?></p>
	<?php
			break;
		default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment hreview">
			<footer>
				<div class="comment-author reviewer vcard">
					<?php echo get_avatar( $comment, 40 ); ?>
					<?php printf( '%s <span class="says">' . __( 'says:', 'agri-lite' ) . '</span>', sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
				</div><!-- .comment-author .vcard -->
				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em><?php _e( 'Your comment is awaiting moderation.', 'agri-lite' ); ?></em>
					<br />
				<?php endif; ?>

				<div class="comment-meta commentmetadata">
					<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" class="dtreviewed"><time pubdate datetime="<?php comment_time( 'c' ); ?>">
					<?php
						/* translators: 1: date, 2: time */
						printf( __( '%1$s at %2$s', 'agri-lite' ), get_comment_date(), get_comment_time() ); ?>
					</time></a>
					<?php edit_comment_link( __( '(Edit)', 'agri-lite' ), ' ' );
					?>
				</div><!-- .comment-meta .commentmetadata -->
			</footer>

			<div class="comment-content"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div><!-- .reply -->
		</article><!-- #comment-## -->

	<?php
			break;
	endswitch;
}
endif; // ends check for cyberchimps_comment()


//Function for displaying post time
if( !function_exists( 'agripro_posted_on' ) ) {

	function agripro_posted_on() {

		// Get value of post byline date toggle option from theme option for different pages
		if( is_single() ) {
			$show_date = ( get_theme_mod( 'single_post_byline_date', 1 ) ) ? get_theme_mod( 'single_post_byline_date', 1 ) : false;
		}
		elseif( is_archive() ) {
			$show_date = ( get_theme_mod( 'archive_post_byline_date', 1 ) ) ? get_theme_mod( 'archive_post_byline_date', 1 ) : false;
		}
		else {
			$show_date = ( get_theme_mod( 'post_byline_date', 1 ) ) ? get_theme_mod( 'post_byline_date', 1 ) : false;
		}

		// Get all data related to date.
		$date_url   = esc_url( get_permalink() );
		$date_title = esc_attr( get_the_time() );
		$date_time  = esc_attr( get_the_time() );
		$date_time  = esc_attr( get_the_date( 'c' ) );
		$date       = esc_html( get_the_date() );

		// Set the HTML for date link.
		$posted_on = sprintf(
						__( '%s', 'cyberchimps_core' ),
						'<a id="post-date" href="' . $date_url . '" title="' . $date_title . '" rel="bookmark">
							<time class="entry-date updated" datetime="' . $date_time . '">' . $date . '</time>
						</a>'
					);

		// If post byline date toggle is on then print HTML for date link.
		if( $show_date ) {
			apply_filters( 'agripro_posted_on', $posted_on );
			echo $posted_on;
		}
	}
}

//Top and footer menu
add_action( 'after_setup_theme', 'agrilite_sf_setup' );
function agrilite_sf_setup() {
	register_nav_menus(
		array(
			'top-menu' => __( 'Top Menu','agri-lite' ),
			'footer-menu' => __( 'Footer Menu','agri-lite' ),			
		)
	);
}

//change cyberchimps featured image to use this new image size
function agrilite_featured_image_size() {
	return 'full';
}

add_filter( 'cyberchimps_post_thumbnail_size', 'agrilite_featured_image_size' );

add_filter( 'woocommerce_enqueue_styles', 'agrilite_dequeue_styles' );

//Mini cart

function register_wc_cart_widget() {
require_once( get_template_directory() . '/inc/class-wc-widget-cart-custom.php');
    register_widget( 'WC_Widget_Cart_Custom' );
}


function agrilite_dequeue_styles( $enqueue_styles ) {
unset( $enqueue_styles['woocommerce-general'] ); // Remove the gloss
unset( $enqueue_styles['woocommerce-layout'] ); // Remove the layout
unset( $enqueue_styles['woocommerce-smallscreen'] ); // Remove the smallscreen optimisation
return $enqueue_styles;
}

function agrilite_enqueue_woocommerce_custom_scripts() {
wp_register_script('accordion-min', get_template_directory_uri() .'/js/accordion.min.js', array( 'jquery' ), '1.0.0', true);
wp_enqueue_script('toggle');

wp_register_script('wc-custom', get_template_directory_uri() .'/js/custom.js', array( 'jquery', 'accordion-min' ), '1.0.0', true);
wp_enqueue_script('wc-custom');
}
add_action( 'wp_enqueue_scripts', 'agrilite_enqueue_woocommerce_custom_scripts' );

/* Added custom script for theme options */
function agrilite_default_admin_scripts(){
	wp_enqueue_script( 'cyberchimps-custom-admin-script',  get_template_directory_uri().'/inc/js'.'/custom-admin-scripts.js', array( 'jquery' ), '', true );
}

add_action( "admin_print_scripts-appearance_page_cyberchimps-theme-options", 'agrilite_default_admin_scripts' );

function agrilite_header_drag_and_drop_options() {
	$options = array(
		'cyberchimps_logo' => __( 'Logo', 'agri-lite' ),
		'cyberchimps_logo_description'  => __( 'Logo + Description', 'agri-lite' ),
	);

	return $options;
}

add_filter( 'header_drag_and_drop_options', 'agrilite_header_drag_and_drop_options', 50 );
function agrilite_header_drag_and_drop_default() {
	$default = array(
		'cyberchimps_logo' => __( 'Logo', 'agri-lite' )
	);

	return $default;
}

add_filter( 'header_drag_and_drop_default', 'agrilite_header_drag_and_drop_default', 50 );



// Logo/Search header element.
function agrilite_sf_logo_searchform() {
	?>
	<header id="cc-header" class="row">
		<div class="col-lg-5 col-md-5 col-sm-6 col-xs-12">
			<?php if ( function_exists( 'cyberchimps_header_logo' ) ) {
				cyberchimps_header_logo();
			} ?>
		</div>

		<div id="search" class="col-lg-7 col-md-6 col-sm-6 col-xs-12">
			<?php
			get_search_form( true );
			?>
		</div>
	</header>
<?php
}
add_action( 'cyberchimps_logo_search', 'agrilite_sf_logo_searchform' );

add_action('cyberchimps_slider_readmore','agrilite_slider_readmore');
function agrilite_slider_readmore($post_id){
    global $post;
    $slide_url   = get_post_meta( $post_id, 'cyberchimps_slider_url', true );
                         if(!empty($slide_url)){
                             ?><hr><a href="<?php echo $slide_url;?>" class="btn btn-large btn-primary"><?php _e('SHOP NOW','agri-lite');?></a><?php
                        }
}

function agrilite_next_previous_posts() {
	if( get_next_posts_link() || get_previous_posts_link() ): ?>
		<div class="more-content">
			<div class="row">
				<div class="col-md-6 previous-post">
					<?php previous_posts_link(); ?>
				</div>
				<div class="col-md-6 next-post">
					<?php next_posts_link(); ?>
				</div>
			</div>
		</div>
	<?php
	endif;
}

add_action( 'cyberchimps_after_content', 'agrilite_next_previous_posts' );

/**
 * Default logo in header
 *
 * @return url
 */
function agrilite_default_logo() {
    $url = get_template_directory_uri() . '/inc/images/logo.png';

    return $url;
}
add_filter( 'cyberchimps_default_logo', 'agrilite_default_logo', 10 );

/**
 * Default logo in header
 *
 * @return url
 */
function agrilite_default_slider1($url) {
    $url = '/inc/images/slider/slider-01.jpg';

    return $url;
}
add_filter( 'cyberchimps_slider_lite_img1', 'agrilite_default_slider1');

function agrilite_default_slider2($url) {
	$url = '/inc/images/slider/slider2.jpg';

	return $url;
}
add_filter( 'cyberchimps_slider_lite_img2', 'agrilite_default_slider2');

function agrilite_default_slider3($url) {
	$url = '/inc/images/slider/slider3.jpg';

	return $url;
}
add_filter( 'cyberchimps_slider_lite_img3', 'agrilite_default_slider3');

/** Default Custom Boxes Image Code
 * 
 * */

function agrilite_boxes_lite_img1($url) {
$url = '/inc/images/boxes/box1.jpg';

return $url;
}
add_filter( 'cyberchimps_boxes_lite_img1', 'agrilite_boxes_lite_img1');

function agrilite_boxes_lite_img2($url) {
	$url = '/inc/images/boxes/box2.jpg';

	return $url;
}
add_filter( 'cyberchimps_boxes_lite_img2', 'agrilite_boxes_lite_img2');

function agrilite_boxes_lite_img3($url) {
	$url = '/inc/images/boxes/box3.jpg';

	return $url;
}
add_filter( 'cyberchimps_boxes_lite_img3', 'agrilite_boxes_lite_img3');

/** Default Custom Portfolio Images Code
 * 
 * */

function agrilite_portfolio_lite_img($url) {
	$url = '/inc/images/portfolio/port1.jpg';

	return $url;
}
add_filter( 'cyberchimps_portfolio_lite_img_one', 'agrilite_portfolio_lite_img');
add_filter( 'cyberchimps_portfolio_lite_img_two', 'agrilite_portfolio_lite_img');
add_filter( 'cyberchimps_portfolio_lite_img_three', 'agrilite_portfolio_lite_img');
add_filter( 'cyberchimps_portfolio_lite_img_four', 'agrilite_portfolio_lite_img');


add_filter( 'cyberchimp_blog_section_order', 'agrilite_blog_section_order' );

function agrilite_blog_section_order($blog_section_order){

	$blog_section_order[0] = 'slider_lite';
	$blog_section_order[1] = 'boxes_lite';
	$blog_section_order[2] = 'portfolio_lite';
	$blog_section_order[3] = 'blog_post_page';

	return $blog_section_order;

}

add_filter('cyberchimps_blog_boxes_lite_image_one_text', 'agrilite_blog_boxes_lite_image_text');
add_filter('cyberchimps_blog_boxes_lite_image_two_text', 'agrilite_blog_boxes_lite_image_text');
add_filter('cyberchimps_blog_boxes_lite_image_three_text', 'agrilite_blog_boxes_lite_image_text');

function agrilite_blog_boxes_lite_image_text($text){

	$text  = 'Alto ventos est coeptis utque fecit. Phoebe sine circumfuso arce. Tanto aliis. Matutinis cornua origo formaeque animal mundo. Chaos: fabricator. Natura mundo caesa addidit.
        	Cuncta habendum meis omni ille formaeque emicuit septemque et. Lege fecit aethere porrexerat gentes horrifer formas.';

	return $text;
}

add_filter('cyberchimps_portfolio_lite_image_one_caption' , 'agrilite_portfolio_image_caption');
add_filter('cyberchimps_portfolio_lite_image_two_caption' , 'agrilite_portfolio_image_caption');
add_filter('cyberchimps_portfolio_lite_image_three_caption' , 'agrilite_portfolio_image_caption');
add_filter('cyberchimps_portfolio_lite_image_four_caption' , 'agrilite_portfolio_image_caption');

function agrilite_portfolio_image_caption($text){

	$text = 'Phoebe sine circumfuso';

	return $text;
}

/**
 * Sets default width
 * 
 * @return size
 */
add_filter( 'max_width_default', 'agrilite_max_width_custom_default' );
function agrilite_max_width_custom_default($val){
	$val = '1250';
	return $val;
}

/* * ****************************************
 * ************* Custom meta data **********
 * **************************************** */

//Get the meta date
function cyberchimps_posted_on() {

    if ( is_single() ) {
        $show_date = ( get_theme_mod( 'single_post_byline_date', 1 ) ) ? get_theme_mod( 'single_post_byline_date', 1 ) : false;
    } elseif ( is_archive() || isset( $_POST['pagetype'] ) && !empty( $_POST['pagetype'] ) && ($_POST['pagetype'] == '3') ) {
        $show_date = ( get_theme_mod( 'archive_post_byline_date', 1 ) ) ? get_theme_mod( 'archive_post_byline_date', 1 ) : false;
    } else {
        $show_date = ( get_theme_mod( 'post_byline_date', 1 ) ) ? get_theme_mod( 'post_byline_date', 1 ) : false;
    }

    $posted_on = sprintf('<span class="meta-date"><a href="%1$s" title="%2$s" rel="bookmark"><time class="entry-date updated" datetime="%3$s">ON : %4$s</time></a></span>', esc_url( get_permalink() ), esc_attr( get_the_time() ), esc_attr( get_the_date( 'c' ) ), ( $show_date ) ? esc_html( get_the_date( 'F j, Y' ) ) : ''    );

    if ( $show_date ) {
        apply_filters( 'cyberchimps_posted_on', $posted_on );
        echo $posted_on;
    }
}

// Prints HTML for author link of the post.
function cyberchimps_posted_by() {

    // Get value of post byline author toggle option from theme option for different pages.
    if ( is_single() ) {
        $show_author = ( get_theme_mod( 'single_post_byline_author', 1 ) ) ? get_theme_mod( 'single_post_byline_author', 1 ) : false;
    } elseif ( is_archive() || isset( $_POST['pagetype'] ) && !empty( $_POST['pagetype'] ) && ($_POST['pagetype'] == '3') ) {
        $show_author = ( get_theme_mod( 'archive_post_byline_author', 1 ) ) ? get_theme_mod( 'archive_post_byline_author', 1 ) : false;
    } else {
        $show_author = ( get_theme_mod( 'post_byline_author', 1 ) ) ? get_theme_mod( 'post_byline_author', 1 ) : false;
    }

    // Get url of all author archive( the page will contain all posts by the author).
    $auther_posts_url = esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );

    // Set author title text which will appear on hover over the author link.
    $auther_link_title = esc_attr( sprintf( __( 'View all posts by %s', 'cyberchimps_core' ), get_the_author() ) );

    // Set the HTML for author link.
    $posted_by = sprintf(
            '<span class="byline"> ' . __( 'by : %s', 'cyberchimps_core' ), '<span class="author vcard">
		<a class="url fn n" href="' . $auther_posts_url . '" title="' . $auther_link_title . '" rel="author">' . esc_html( get_the_author() ) . '</a>
            </span>
            </span><span class="sep">' . apply_filters( 'cyberchimps_entry_meta_sep', ' / ' ) . ' </span>'
    );

    // If post byline author toggle is on then print HTML for author link.
    if ( $show_author ) {
        apply_filters( 'cyberchimps_posted_by', $posted_by );
        echo $posted_by;
    }
}

add_action('admin_head', 'agrilite_custom_fonts');

function agrilite_custom_fonts() {
  echo '<style>
    #latest_products_img,#recently_viewed_img,#featured_products_img{
    display: inline-block;
    float: right;
    height: 1.6em;
    width: 1.6em;
    }

    #latest_products_img{ background: url("'.get_template_directory_uri().'/inc/images/latest.png") no-repeat; }
    #recently_viewed_img{ background: url("'.get_template_directory_uri().'/inc/images/top-rated.png") no-repeat; }
    #featured_products_img{ background: url("'.get_template_directory_uri().'/inc/images/featured.png") no-repeat; }
      </style>';
}
