<?php
/**
 * Header Template
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */
?>
	<!DOCTYPE html>
	<!--[if lt IE 7]>
	<html class="ie ie6 lte9 lte8 lte7" <?php language_attributes(); ?>>
	<![endif]-->
	<!--[if IE 7]>
	<html class="ie ie7 lte9 lte8 lte7" <?php language_attributes(); ?>>
	<![endif]-->
	<!--[if IE 8]>
	<html class="ie ie8 lte9 lte8" <?php language_attributes(); ?>>
	<![endif]-->
	<!--[if IE 9]>
	<html class="ie ie9" <?php language_attributes(); ?>>
	<![endif]-->
	<!--[if gt IE 9]>
	<html <?php language_attributes(); ?>> <![endif]-->
	<!--[if !IE]><!-->
<html <?php language_attributes(); ?>>
	<!--<![endif]-->
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>"/>
		<meta name="viewport" content="initial-scale=1.0,maximum-scale=3.0,width=device-width"/>

		<link rel="profile" href="http://gmpg.org/xfn/11"/>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>"/>
		

		<!-- IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
		<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
		<![endif]-->
               <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
              <link href='https://fonts.googleapis.com/css?family=Oswald|Playball|PT+Sans+Caption:700,400' rel='stylesheet' type='text/css'>
		<?php wp_head(); ?>
	</head>
<body <?php body_class(); ?>>
<!-- 		 Header 		 -->
<div id="header_section">
	<?php do_action( 'cyberchimps_before_wrapper' ); ?>				
<div id="top_bar">
	<div class="container">
		<div class="row">
			<div id="register" class="col-md-3 col-lg-3">
			<?php if ( function_exists( 'cyberchimps_contact_info' ) ) {
				echo cyberchimps_contact_info();
			} ?>
                        </div>
			<div class="col-md-9 col-lg-9">

				<?php if ( has_nav_menu( 'top-menu' ) ){
					wp_nav_menu( array( 'theme_location' => 'top-menu', 'depth' => 1 ) );
                                }else{
                                         echo '<ul id="top-menu" class="menu">';
                                                    wp_list_pages( array( 'title_li' => '',  'post_type'   => 'page','number' => '3', 'depth' => 1 ) );
                                                echo '</ul>';                                  
                                }
				?>
			</div>	
		</div><!--row-->
       	    		  
	</div>
	<!--container-->       	    		 
 </div>				
	
 <div class="sticky-wrapper container ">
     <div class="row">
		<div id="sf-logo-search" class="col-lg-3 col-md-3 col-sm-12">				
					<?php 
						do_action( 'cyberchimps_header');
					 ?> 
		</div><!--col-lg-8--> 
		<div id="cyberchimps_navbar" class="col-lg-7 col-md-7 col-sm-12">                    
                    <nav class="navbar navbar-default col-md-12 pull-left">
                                    <div class="navbar-header">
                                            <button aria-controls="navbar" aria-expanded="false" data-target="#navbar" data-toggle="collapse" class="navbar-toggle collapsed" type="button">
                                                    <span class="glyphicon glyphicon-th-list"></span>
                                            </button>
                                    </div>
                                    <div class="navbar-collapse collapse" id="navbar">                                           
                                       <?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav navbar-nav', 'walker' => new cyberchimps_walker(), 'fallback_cb' => 			'cyberchimps_fallback_menu' ) ); ?>

                                    </div><!--/.nav-collapse -->       
                    </nav>
			<?php do_action( 'cyberchimps_before_navigation' ); ?>
		</div><!-- 		 Menu 		 -->
		<!-- #navigation_menu -->
		<div id="sf-login-cart" class="col-lg-2 col-md-2 col-sm-12  alignright">
				 <div class="left-links">
					 		 <div class="cart-inner col-md-12 col-sm-4 col-xs-5 ">
                                                             <?php if ( class_exists( 'WooCommerce' ) ) { ?>
							<a class="cart-contents" href="<?php echo WC()->cart->get_cart_url(); ?>" title="<?php _e( 'View your shopping cart','agri-lite' ); ?>"><span class="glyphicon glyphicon-shopping-cart"></span><?php echo WC()->cart->get_cart_total(); ?></a>					 
								
                                                             <?php } ?>
							 </div><!--cart-inner-->
                                                         <div class="search-header col-md-12 col-sm-8 col-xs-7">
                    <?php if( get_theme_mod( 'searchbar', 1 ) == "1" ) : ?>
									<?php get_search_form(); ?>
                    <?php endif; ?> 
                    </div>
				 </div>
		</div><!--col-lg-2 col-lg-push-1-->
            	 
 </div>
 </div>	<!-- #header_section -->
</div>

<?php if(class_exists( 'WooCommerce' ) ){
    $product=get_theme_mod( 'custom_slider_post_cat' );
    if(!empty($product) && is_product_category()){
    echo display_category_slider();
    }
}
?>


<?php do_action( 'cyberchimps_after_navigation' ); ?>
