<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
	$classes[] = 'first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
	$classes[] = 'last';
?>
<div class="product-page col-lg-3 col-md-3 col-sm-3 col-xs-12">
<li <?php post_class( $classes ); ?>>

	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
                <div class="product-image-archive">
		<?php
			/**
			 * woocommerce_before_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_show_product_loop_sale_flash - 10
			 * @hooked woocommerce_template_loop_product_thumbnail - 10
			 */
			do_action( 'woocommerce_before_shop_loop_item_title' );
                        global $product; 
	if ( get_option( 'woocommerce_enable_review_rating' ) === 'no' ) {
		$show_rating = false;
	}else{
		$show_rating = true;
	}
	
		?>
                 <?php if( function_exists( 'YITH_WCQV' ) ){ 
                             $label = esc_html( get_option( 'yith-wcqv-button-label' ) );
                             ?>
                            <div class="view-product">
                              <a data-product_id="<?php echo $product->id;?>" class="yith-wcqv-button" href="#"><?php echo $label;?></a>
                            </div>
                 <?php } ?> 
                </div>
                <div class="details">
			<a class="sf-product-title" href="<?php echo esc_url( get_permalink( $product->id ) ); ?>" title="<?php echo esc_attr( $product->get_title() ); ?>">
				<span class="product-title"><?php echo $product->get_title(); ?></span>
			</a>
			<?php if ( ! empty( $show_rating ) ) echo $product->get_rating_html(); ?> 
                    <a class="button product_details_btn" href="<?php echo esc_url( get_permalink( $product->id ) ); ?>" title="<?php echo esc_attr( $product->get_title() ); ?>">View Details</a>
		</div>

</li>
</div>